/*===========================================================================*/
/*   (Rgc/rgcconfig.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Rgc/rgcconfig.scm -indent -o objs/obj_u/Rgc/rgcconfig.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_list1828z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1830z00zz__rgc_configz00 = BUNSPEC;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_list1831z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl__rgczd2charzf3z21zz__rgc_configz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2envzd2zz__rgc_configz00();
static obj_t BGl_list1833z00zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_list1835z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1836z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1837z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1839z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1841z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1843z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1845z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1847z00zz__rgc_configz00 = BUNSPEC;
extern obj_t create_struct(obj_t, int);
BGL_EXPORTED_DECL bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00();
static obj_t BGl__rgczd2downcasezd2zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_symbol1854z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1848z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1844z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31018ze3z83zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__rgc_configz00();
static obj_t BGl__rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_symbol1840z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1834z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1829z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1827z00zz__rgc_configz00 = BUNSPEC;
extern obj_t string_to_symbol(char *);
static obj_t BGl_symbol1822z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1820z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1818z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31022ze3z83zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_symbol1813z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1809z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1807z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1804z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_symbol1802z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_za2rgczd2configza2zd2zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00();
BGL_EXPORTED_DECL obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t);
static obj_t BGl_zc3anonymousza31029ze3z83zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_configz00 = BUNSPEC;
static obj_t BGl__rgczd2upcasezd2zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl__rgczd2maxzd2charz00zz__rgc_configz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t);
static obj_t BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31037ze3z83zz__rgc_configz00(obj_t, obj_t);
static obj_t BGl_list1800z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1801z00zz__rgc_configz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t);
static obj_t BGl_list1803z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl__rgczd2envzd2zz__rgc_configz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__rgc_configz00();
static obj_t BGl_list1806z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1808z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1810z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1812z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1814z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1815z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1817z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1819z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1821z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1823z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1824z00zz__rgc_configz00 = BUNSPEC;
static obj_t BGl_list1826z00zz__rgc_configz00 = BUNSPEC;
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_PROCEDURE( BGl_proc1850z00zz__rgc_configz00, BgL_bgl_za7c3anonymousza7a31037za7e3za783za7za7__rgc_configza7001862za7, BGl_zc3anonymousza31037ze3z83zz__rgc_configz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1851z00zz__rgc_configz00, BgL_bgl_za7c3anonymousza7a31029za7e3za783za7za7__rgc_configza7001863za7, BGl_zc3anonymousza31029ze3z83zz__rgc_configz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1852z00zz__rgc_configz00, BgL_bgl_za7c3anonymousza7a31022za7e3za783za7za7__rgc_configza7001864za7, BGl_zc3anonymousza31022ze3z83zz__rgc_configz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1853z00zz__rgc_configz00, BgL_bgl_za7c3anonymousza7a31018za7e3za783za7za7__rgc_configza7001865za7, BGl_zc3anonymousza31018ze3z83zz__rgc_configz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2maxzd2charzd2envzd2zz__rgc_configz00, BgL_bgl__rgcza7d2maxza7d2charza700za7za7__rgc_configza7001866z00, BGl__rgczd2maxzd2charz00zz__rgc_configz00, 0L, 0 );
DEFINE_STRING( BGl_string1855z00zz__rgc_configz00, BgL_bgl_string1855za700za7za7__rgc_configza7001867z00, "ascii", 5 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2envzd2envz00zz__rgc_configz00, BgL_bgl__rgcza7d2envza7d2za7za7__rgc_configza7001868za7, BGl__rgczd2envzd2zz__rgc_configz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2alphabeticzf3zd2envzf3zz__rgc_configz00, BgL_bgl__rgcza7d2alphabeticza7f3za721za7za7__rgc_configza7001869z00, BGl__rgczd2alphabeticzf3z21zz__rgc_configz00, 0L, 1 );
DEFINE_STRING( BGl_string1846z00zz__rgc_configz00, BgL_bgl_string1846za700za7za7__rgc_configza7001870z00, " \t\n", 3 );
DEFINE_STRING( BGl_string1842z00zz__rgc_configz00, BgL_bgl_string1842za700za7za7__rgc_configza7001871z00, ".,;!?", 5 );
DEFINE_STRING( BGl_string1838z00zz__rgc_configz00, BgL_bgl_string1838za700za7za7__rgc_configza7001872z00, "az09", 4 );
DEFINE_STRING( BGl_string1832z00zz__rgc_configz00, BgL_bgl_string1832za700za7za7__rgc_configza7001873z00, "af09", 4 );
DEFINE_STRING( BGl_string1825z00zz__rgc_configz00, BgL_bgl_string1825za700za7za7__rgc_configza7001874z00, "09", 2 );
DEFINE_STRING( BGl_string1816z00zz__rgc_configz00, BgL_bgl_string1816za700za7za7__rgc_configza7001875z00, "AZ", 2 );
DEFINE_STRING( BGl_string1811z00zz__rgc_configz00, BgL_bgl_string1811za700za7za7__rgc_configza7001876z00, "az", 2 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2downcasezd2envz00zz__rgc_configz00, BgL_bgl__rgcza7d2downcaseza7d2za7za7__rgc_configza7001877za7, BGl__rgczd2downcasezd2zz__rgc_configz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2upcasezd2envz00zz__rgc_configz00, BgL_bgl__rgcza7d2upcaseza7d2za7za7__rgc_configza7001878za7, BGl__rgczd2upcasezd2zz__rgc_configz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rgczd2charzf3zd2envzf3zz__rgc_configz00, BgL_bgl__rgcza7d2charza7f3za721za7za7__rgc_configza7001879z00, BGl__rgczd2charzf3z21zz__rgc_configz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long BgL_checksumz00_740, char * BgL_fromz00_741)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_configz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_configz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__rgc_configz00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_configz00(); 
BGl_toplevelzd2initzd2zz__rgc_configz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_configz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 14 */
BGl_symbol1802z00zz__rgc_configz00 = 
string_to_symbol("all"); 
BGl_symbol1804z00zz__rgc_configz00 = 
string_to_symbol("out"); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_750;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_751;
BgL_auxz00_751 = 
BCHAR(((unsigned char)'\n')); 
BgL_auxz00_750 = 
MAKE_PAIR(BgL_auxz00_751, BNIL); } 
BGl_list1803z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1804z00zz__rgc_configz00, BgL_auxz00_750); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_755;
BgL_auxz00_755 = 
MAKE_PAIR(BGl_list1803z00zz__rgc_configz00, BNIL); 
BGl_list1801z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1802z00zz__rgc_configz00, BgL_auxz00_755); } 
BGl_symbol1807z00zz__rgc_configz00 = 
string_to_symbol("lower"); 
BGl_symbol1809z00zz__rgc_configz00 = 
string_to_symbol("in"); 
BGl_list1810z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_string1811z00zz__rgc_configz00, BNIL); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_761;
BgL_auxz00_761 = 
MAKE_PAIR(BGl_list1810z00zz__rgc_configz00, BNIL); 
BGl_list1808z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_761); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_764;
BgL_auxz00_764 = 
MAKE_PAIR(BGl_list1808z00zz__rgc_configz00, BNIL); 
BGl_list1806z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1807z00zz__rgc_configz00, BgL_auxz00_764); } 
BGl_symbol1813z00zz__rgc_configz00 = 
string_to_symbol("upper"); 
BGl_list1815z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_string1816z00zz__rgc_configz00, BNIL); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_769;
BgL_auxz00_769 = 
MAKE_PAIR(BGl_list1815z00zz__rgc_configz00, BNIL); 
BGl_list1814z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_769); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_772;
BgL_auxz00_772 = 
MAKE_PAIR(BGl_list1814z00zz__rgc_configz00, BNIL); 
BGl_list1812z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1813z00zz__rgc_configz00, BgL_auxz00_772); } 
BGl_symbol1818z00zz__rgc_configz00 = 
string_to_symbol("alpha"); 
BGl_symbol1820z00zz__rgc_configz00 = 
string_to_symbol("or"); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_777;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_778;
BgL_auxz00_778 = 
MAKE_PAIR(BGl_symbol1813z00zz__rgc_configz00, BNIL); 
BgL_auxz00_777 = 
MAKE_PAIR(BGl_symbol1807z00zz__rgc_configz00, BgL_auxz00_778); } 
BGl_list1819z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1820z00zz__rgc_configz00, BgL_auxz00_777); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_782;
BgL_auxz00_782 = 
MAKE_PAIR(BGl_list1819z00zz__rgc_configz00, BNIL); 
BGl_list1817z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1818z00zz__rgc_configz00, BgL_auxz00_782); } 
BGl_symbol1822z00zz__rgc_configz00 = 
string_to_symbol("digit"); 
BGl_list1824z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_string1825z00zz__rgc_configz00, BNIL); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_787;
BgL_auxz00_787 = 
MAKE_PAIR(BGl_list1824z00zz__rgc_configz00, BNIL); 
BGl_list1823z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_787); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_790;
BgL_auxz00_790 = 
MAKE_PAIR(BGl_list1823z00zz__rgc_configz00, BNIL); 
BGl_list1821z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1822z00zz__rgc_configz00, BgL_auxz00_790); } 
BGl_symbol1827z00zz__rgc_configz00 = 
string_to_symbol("xdigit"); 
BGl_symbol1829z00zz__rgc_configz00 = 
string_to_symbol("uncase"); 
BGl_list1831z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_string1832z00zz__rgc_configz00, BNIL); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_796;
BgL_auxz00_796 = 
MAKE_PAIR(BGl_list1831z00zz__rgc_configz00, BNIL); 
BGl_list1830z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_796); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
MAKE_PAIR(BGl_list1830z00zz__rgc_configz00, BNIL); 
BGl_list1828z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1829z00zz__rgc_configz00, BgL_auxz00_799); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_802;
BgL_auxz00_802 = 
MAKE_PAIR(BGl_list1828z00zz__rgc_configz00, BNIL); 
BGl_list1826z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1827z00zz__rgc_configz00, BgL_auxz00_802); } 
BGl_symbol1834z00zz__rgc_configz00 = 
string_to_symbol("alnum"); 
BGl_list1837z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_string1838z00zz__rgc_configz00, BNIL); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_807;
BgL_auxz00_807 = 
MAKE_PAIR(BGl_list1837z00zz__rgc_configz00, BNIL); 
BGl_list1836z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_807); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_810;
BgL_auxz00_810 = 
MAKE_PAIR(BGl_list1836z00zz__rgc_configz00, BNIL); 
BGl_list1835z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1829z00zz__rgc_configz00, BgL_auxz00_810); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_813;
BgL_auxz00_813 = 
MAKE_PAIR(BGl_list1835z00zz__rgc_configz00, BNIL); 
BGl_list1833z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1834z00zz__rgc_configz00, BgL_auxz00_813); } 
BGl_symbol1840z00zz__rgc_configz00 = 
string_to_symbol("punct"); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_817;
BgL_auxz00_817 = 
MAKE_PAIR(BGl_string1842z00zz__rgc_configz00, BNIL); 
BGl_list1841z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_817); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_820;
BgL_auxz00_820 = 
MAKE_PAIR(BGl_list1841z00zz__rgc_configz00, BNIL); 
BGl_list1839z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1840z00zz__rgc_configz00, BgL_auxz00_820); } 
BGl_symbol1844z00zz__rgc_configz00 = 
string_to_symbol("blank"); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_824;
BgL_auxz00_824 = 
MAKE_PAIR(BGl_string1846z00zz__rgc_configz00, BNIL); 
BGl_list1845z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1809z00zz__rgc_configz00, BgL_auxz00_824); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_827;
BgL_auxz00_827 = 
MAKE_PAIR(BGl_list1845z00zz__rgc_configz00, BNIL); 
BGl_list1843z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1844z00zz__rgc_configz00, BgL_auxz00_827); } 
BGl_symbol1848z00zz__rgc_configz00 = 
string_to_symbol("space"); 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_831;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_832;
BgL_auxz00_832 = 
BCHAR(((unsigned char)' ')); 
BgL_auxz00_831 = 
MAKE_PAIR(BgL_auxz00_832, BNIL); } 
BGl_list1847z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_symbol1848z00zz__rgc_configz00, BgL_auxz00_831); } 
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_836;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_837;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_838;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_839;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_840;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_841;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_842;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_843;
{ /* ./Rgc/rgcconfig.scm 127 */
obj_t BgL_auxz00_844;
BgL_auxz00_844 = 
MAKE_PAIR(BGl_list1847z00zz__rgc_configz00, BNIL); 
BgL_auxz00_843 = 
MAKE_PAIR(BGl_list1843z00zz__rgc_configz00, BgL_auxz00_844); } 
BgL_auxz00_842 = 
MAKE_PAIR(BGl_list1839z00zz__rgc_configz00, BgL_auxz00_843); } 
BgL_auxz00_841 = 
MAKE_PAIR(BGl_list1833z00zz__rgc_configz00, BgL_auxz00_842); } 
BgL_auxz00_840 = 
MAKE_PAIR(BGl_list1826z00zz__rgc_configz00, BgL_auxz00_841); } 
BgL_auxz00_839 = 
MAKE_PAIR(BGl_list1821z00zz__rgc_configz00, BgL_auxz00_840); } 
BgL_auxz00_838 = 
MAKE_PAIR(BGl_list1817z00zz__rgc_configz00, BgL_auxz00_839); } 
BgL_auxz00_837 = 
MAKE_PAIR(BGl_list1812z00zz__rgc_configz00, BgL_auxz00_838); } 
BgL_auxz00_836 = 
MAKE_PAIR(BGl_list1806z00zz__rgc_configz00, BgL_auxz00_837); } 
BGl_list1800z00zz__rgc_configz00 = 
MAKE_PAIR(BGl_list1801z00zz__rgc_configz00, BgL_auxz00_836); } 
return ( 
BGl_symbol1854z00zz__rgc_configz00 = 
string_to_symbol("rgc-config"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_configz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 14 */
BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BFALSE; 
{ /* ./Rgc/rgcconfig.scm 108 */
obj_t BgL_arg1016z00_391;
BgL_arg1016z00_391 = BGl_list1800z00zz__rgc_configz00; 
{ /* ./Rgc/rgcconfig.scm 108 */
obj_t BgL_newz00_575;
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_856;
BgL_auxz00_856 = 
(int)(((long)7)); 
BgL_newz00_575 = 
create_struct(BGl_symbol1854z00zz__rgc_configz00, BgL_auxz00_856); } 
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_859;
BgL_auxz00_859 = 
(int)(((long)6)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_859, BgL_arg1016z00_391); } 
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_862;
BgL_auxz00_862 = 
(int)(((long)5)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_862, BGl_proc1850z00zz__rgc_configz00); } 
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_865;
BgL_auxz00_865 = 
(int)(((long)4)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_865, BGl_proc1851z00zz__rgc_configz00); } 
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_868;
BgL_auxz00_868 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_868, BGl_proc1852z00zz__rgc_configz00); } 
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_871;
BgL_auxz00_871 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_871, BGl_proc1853z00zz__rgc_configz00); } 
{ /* ./Rgc/rgcconfig.scm 108 */
obj_t BgL_auxz00_876;int BgL_auxz00_874;
BgL_auxz00_876 = 
BINT(((long)256)); 
BgL_auxz00_874 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_874, BgL_auxz00_876); } 
{ /* ./Rgc/rgcconfig.scm 108 */
int BgL_auxz00_879;
BgL_auxz00_879 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_575, BgL_auxz00_879, BGl_string1855z00zz__rgc_configz00); } 
BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BgL_newz00_575; } } 
return ( 
BGl_za2rgczd2configza2zd2zz__rgc_configz00 = BGl_za2asciizd2configza2zd2zz__rgc_configz00, BUNSPEC) ;} 
}



/* <anonymous:1018> */
obj_t BGl_zc3anonymousza31018ze3z83zz__rgc_configz00(obj_t BgL_envz00_721, obj_t BgL_xz00_722)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 110 */
{ 
obj_t BgL_xz00_392;
{ /* ./Rgc/rgcconfig.scm 111 */
bool_t BgL_auxz00_882;
BgL_xz00_392 = BgL_xz00_722; 
if(
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_392, 
BINT(((long)0))))
{ /* ./Rgc/rgcconfig.scm 111 */
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_392, 
BINT(((long)256))))
{ /* ./Rgc/rgcconfig.scm 111 */
BgL_auxz00_882 = 
CHARP(BgL_xz00_392)
; }  else 
{ /* ./Rgc/rgcconfig.scm 111 */
BgL_auxz00_882 = ((bool_t)0)
; } }  else 
{ /* ./Rgc/rgcconfig.scm 111 */
BgL_auxz00_882 = ((bool_t)0)
; } 
return 
BBOOL(BgL_auxz00_882);} } } 
}



/* <anonymous:1022> */
obj_t BGl_zc3anonymousza31022ze3z83zz__rgc_configz00(obj_t BgL_envz00_723, obj_t BgL_xz00_724)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 112 */
{ 
obj_t BgL_xz00_396;
{ /* ./Rgc/rgcconfig.scm 113 */
bool_t BgL_auxz00_891;
BgL_xz00_396 = BgL_xz00_724; 
if(
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_396, 
BINT(((long)0))))
{ /* ./Rgc/rgcconfig.scm 113 */
if(
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_396, 
BINT(((long)256))))
{ /* ./Rgc/rgcconfig.scm 113 */
unsigned char BgL_arg1024z00_400;
{ /* ./Rgc/rgcconfig.scm 113 */
long BgL_auxz00_898;
BgL_auxz00_898 = 
(long)CINT(BgL_xz00_396); 
BgL_arg1024z00_400 = 
(BgL_auxz00_898); } 
{ /* ./Rgc/rgcconfig.scm 113 */
bool_t BgL_res1753z00_608;
BgL_res1753z00_608 = 
isalpha(BgL_arg1024z00_400); 
BgL_auxz00_891 = BgL_res1753z00_608; } }  else 
{ /* ./Rgc/rgcconfig.scm 113 */
BgL_auxz00_891 = ((bool_t)0)
; } }  else 
{ /* ./Rgc/rgcconfig.scm 113 */
BgL_auxz00_891 = ((bool_t)0)
; } 
return 
BBOOL(BgL_auxz00_891);} } } 
}



/* <anonymous:1029> */
obj_t BGl_zc3anonymousza31029ze3z83zz__rgc_configz00(obj_t BgL_envz00_725, obj_t BgL_xz00_726)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 114 */
{ 
obj_t BgL_xz00_401;
{ /* ./Rgc/rgcconfig.scm 115 */
long BgL_auxz00_903;
BgL_xz00_401 = BgL_xz00_726; 
{ /* ./Rgc/rgcconfig.scm 115 */
unsigned char BgL_auxz00_904;
{ /* ./Rgc/rgcconfig.scm 115 */
unsigned char BgL_auxz00_905;
{ /* ./Rgc/rgcconfig.scm 115 */
long BgL_auxz00_906;
BgL_auxz00_906 = 
(long)CINT(BgL_xz00_401); 
BgL_auxz00_905 = 
(BgL_auxz00_906); } 
BgL_auxz00_904 = 
toupper(BgL_auxz00_905); } 
BgL_auxz00_903 = 
(BgL_auxz00_904); } 
return 
BINT(BgL_auxz00_903);} } } 
}



/* <anonymous:1037> */
obj_t BGl_zc3anonymousza31037ze3z83zz__rgc_configz00(obj_t BgL_envz00_727, obj_t BgL_xz00_728)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 116 */
{ 
obj_t BgL_xz00_405;
{ /* ./Rgc/rgcconfig.scm 117 */
long BgL_auxz00_912;
BgL_xz00_405 = BgL_xz00_728; 
{ /* ./Rgc/rgcconfig.scm 117 */
unsigned char BgL_auxz00_913;
{ /* ./Rgc/rgcconfig.scm 117 */
unsigned char BgL_auxz00_914;
{ /* ./Rgc/rgcconfig.scm 117 */
long BgL_auxz00_915;
BgL_auxz00_915 = 
(long)CINT(BgL_xz00_405); 
BgL_auxz00_914 = 
(BgL_auxz00_915); } 
BgL_auxz00_913 = 
tolower(BgL_auxz00_914); } 
BgL_auxz00_912 = 
(BgL_auxz00_913); } 
return 
BINT(BgL_auxz00_912);} } } 
}



/* rgc-max-char */
BGL_EXPORTED_DEF obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 69 */
{ /* ./Rgc/rgcconfig.scm 70 */
int BgL_auxz00_921;
BgL_auxz00_921 = 
(int)(((long)1)); 
return 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, BgL_auxz00_921);} } 
}



/* _rgc-max-char */
obj_t BGl__rgczd2maxzd2charz00zz__rgc_configz00(obj_t BgL_envz00_729)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 69 */
return 
BGl_rgczd2maxzd2charz00zz__rgc_configz00();} 
}



/* rgc-char? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t BgL_charz00_31)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 75 */
{ /* ./Rgc/rgcconfig.scm 76 */
obj_t BgL_fun1096z00_691;
{ /* ./Rgc/rgcconfig.scm 76 */
int BgL_auxz00_925;
BgL_auxz00_925 = 
(int)(((long)2)); 
BgL_fun1096z00_691 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, BgL_auxz00_925); } 
{ /* ./Rgc/rgcconfig.scm 76 */
obj_t BgL_auxz00_928;
BgL_auxz00_928 = 
PROCEDURE_ENTRY(BgL_fun1096z00_691)(BgL_fun1096z00_691, BgL_charz00_31, BEOA); 
return 
CBOOL(BgL_auxz00_928);} } } 
}



/* _rgc-char? */
obj_t BGl__rgczd2charzf3z21zz__rgc_configz00(obj_t BgL_envz00_730, obj_t BgL_charz00_731)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 75 */
{ /* ./Rgc/rgcconfig.scm 76 */
bool_t BgL_auxz00_932;
BgL_auxz00_932 = 
BGl_rgczd2charzf3z21zz__rgc_configz00(BgL_charz00_731); 
return 
BBOOL(BgL_auxz00_932);} } 
}



/* rgc-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t BgL_charz00_32)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 81 */
{ /* ./Rgc/rgcconfig.scm 82 */
obj_t BgL_fun1100z00_695;
{ /* ./Rgc/rgcconfig.scm 82 */
int BgL_auxz00_935;
BgL_auxz00_935 = 
(int)(((long)3)); 
BgL_fun1100z00_695 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, BgL_auxz00_935); } 
{ /* ./Rgc/rgcconfig.scm 82 */
obj_t BgL_auxz00_938;
BgL_auxz00_938 = 
PROCEDURE_ENTRY(BgL_fun1100z00_695)(BgL_fun1100z00_695, BgL_charz00_32, BEOA); 
return 
CBOOL(BgL_auxz00_938);} } } 
}



/* _rgc-alphabetic? */
obj_t BGl__rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t BgL_envz00_732, obj_t BgL_charz00_733)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 81 */
{ /* ./Rgc/rgcconfig.scm 82 */
bool_t BgL_auxz00_942;
BgL_auxz00_942 = 
BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(BgL_charz00_733); 
return 
BBOOL(BgL_auxz00_942);} } 
}



/* rgc-upcase */
BGL_EXPORTED_DEF obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t BgL_charz00_33)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 87 */
{ /* ./Rgc/rgcconfig.scm 88 */
obj_t BgL_fun1104z00_699;
{ /* ./Rgc/rgcconfig.scm 88 */
int BgL_auxz00_945;
BgL_auxz00_945 = 
(int)(((long)4)); 
BgL_fun1104z00_699 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, BgL_auxz00_945); } 
return 
PROCEDURE_ENTRY(BgL_fun1104z00_699)(BgL_fun1104z00_699, BgL_charz00_33, BEOA);} } 
}



/* _rgc-upcase */
obj_t BGl__rgczd2upcasezd2zz__rgc_configz00(obj_t BgL_envz00_734, obj_t BgL_charz00_735)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 87 */
return 
BGl_rgczd2upcasezd2zz__rgc_configz00(BgL_charz00_735);} 
}



/* rgc-downcase */
BGL_EXPORTED_DEF obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t BgL_charz00_34)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 93 */
{ /* ./Rgc/rgcconfig.scm 94 */
obj_t BgL_fun1108z00_703;
{ /* ./Rgc/rgcconfig.scm 94 */
int BgL_auxz00_951;
BgL_auxz00_951 = 
(int)(((long)5)); 
BgL_fun1108z00_703 = 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, BgL_auxz00_951); } 
return 
PROCEDURE_ENTRY(BgL_fun1108z00_703)(BgL_fun1108z00_703, BgL_charz00_34, BEOA);} } 
}



/* _rgc-downcase */
obj_t BGl__rgczd2downcasezd2zz__rgc_configz00(obj_t BgL_envz00_736, obj_t BgL_charz00_737)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 93 */
return 
BGl_rgczd2downcasezd2zz__rgc_configz00(BgL_charz00_737);} 
}



/* rgc-env */
BGL_EXPORTED_DEF obj_t BGl_rgczd2envzd2zz__rgc_configz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 99 */
{ /* ./Rgc/rgcconfig.scm 100 */
int BgL_auxz00_957;
BgL_auxz00_957 = 
(int)(((long)6)); 
return 
STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00, BgL_auxz00_957);} } 
}



/* _rgc-env */
obj_t BGl__rgczd2envzd2zz__rgc_configz00(obj_t BgL_envz00_738)
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 99 */
return 
BGl_rgczd2envzd2zz__rgc_configz00();} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcconfig.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__rgc_config");} 
}

